[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# SoundexSimilar

Check whether 2 strings have equal soundex values

## Declaration

Source position: strutils.pp line 151

`function SoundexSimilar(`
`const AText: string;`
`const AOther: string;`
`ALength: TSoundexLength`
`):Boolean; function SoundexSimilar(`
`const AText: string;`
`const AOther: string`
`):Boolean;`

## Arguments

`AText` |  | First string
`AOther` |  | Second string
`ALength` |  | Soundex length (default 4)

## Function result

True if the strings have the same soundex value, False otherwise

## Arguments

`AText` |  | First string
`AOther` |  | Second string

## Description

SoundexSimilar returns True if the soundex codes (with length ALength) of AText and AOther are equal, and False if they are not.

## Errors

None.

## See also

Soundex |  | Compute the soundex of a string
SoundexCompare |  | Compare soundex values of 2 strings.
SoundexInt |  | Soundex value as an integer.
SoundexProc |  | Default AnsiResemblesText implementation.
SoundexWord |  | Calculate a word-sized soundex value
Soundex |  | Compute the soundex of a string